<?php

//モジュールバージョン
define("DCHK_MODULE_VERSION","1.10");

//設定

//決済通知を送ってくるサーバのIPアドレス
define("DCHK_MESSAGE_SERVER_IP1","125.29.34.192/28");
define("DCHK_MESSAGE_SERVER_IP2","114.160.46.144/29");
define("DCHK_MESSAGE_SERVER_IP3","27.110.52.0/27");
define("DCHK_MESSAGE_SERVER_IP4","");

//コンビニ決済データ送信先アドレス
define("DCHK_CONVENIENCE_URL","https://www.paydesign.jp/settle/settle2/ubp3.dll");

//クレジット決済リンク先アドレス
define("DCHK_CREDIT_LINK","https://www.paydesign.jp/settle/settle3/bp3.dll");
//クレジット決済データ送信先アドレス
define("DCHK_CREDIT_URL","https://www.paydesign.jp/settle/settlex/credit2.dll");
//クレジット確定要求送信先アドレス
define("DCHK_CREDIT_COMPLETE_URL","https://www.paydesign.jp/settle/Fixation/crDkakutei.dll");

//Pay-easy決済リンク先アドレス
define("DCHK_PAYEASY_URL","https://www.paydesign.jp/settle/settle2/ubp3.dll");

//コンビニ決済金額上限
define("DCHK_CONVENIENCE_UPPER","500000");
//カード決済金額上限
define("DCHK_CREDIT_UPPER","1000000");
//Pay-easy決済金額上限
define("DCHK_PAYEASY_UPPER","1000000");

//決済待ちステータス
define("DCHK_STATUS_WAIT","決済待ち");
define("DCHK_STATUS_COMPLETE","決済済み");
define("DCHK_STATUS_CANCEL","キャンセル");


//決済通知受付アドレス
define("DCHK_RECIP_URL",HTTPS_URL."dchkif.php");
define("DCHK_STATUS_COLNAME","dchk_status");

//モジュールID
define("DCHK_MODULE_ID","6000");

global $DCHK_CONVENIENCE_ARRAY;
$DCHK_CONVENIENCE_ARRAY = array(
                            1=>"Loppi決済(ローソン・セイコーマート・ミニストップ)",
                            2=>"Seven決済(セブンイレブン)",
                            3=>"FAMIMA決済(ファミリーマート)",
                            73=>"オンライン決済(サークルKサンクス・デイリーヤマザキ・ヤマザキデイリー・スリーエフ）"
                            );

global $DCHK_PAYMENT_ARRAY;                            
$DCHK_PAYMENT_ARRAY = array(
                            "credit"=>"クレジットカード決済",
                            "convenience"=>"コンビニ決済",
                            "payeasy"=>"Pay-easy決済"
                            );
global $DCHK_LIMITDATE_ARRAY;
$DCHK_LIMITDATE_ARRAY = array(
                            '1' => 1 ,
                            '2' => 2 ,
                            '3' => 3 ,
                            '4' => 4 ,
                            '5' => 5 ,
                            '6' => 6 ,
                            '7' => 7 ,
                            '8' => 8 ,
                            '9' => 9 ,
                            '10' => 10 ,
                            '11' => 11 ,
                            '12' => 12 ,
                            '13' => 13 ,
                            '14' => 14 ,
                            '15' => 15 ,
                            '16' => 16 ,
                            '17' => 17 ,
                            '18' => 18 ,
                            '19' => 19 ,
                            '20' => 20 ,
                            '21' => 21 ,
                            '22' => 22 ,
                            '23' => 23 ,
                            '24' => 24 ,
                            '25' => 25 ,
                            '26' => 26 ,
                            '27' => 27 ,
                            '28' => 28 ,
                            '29' => 29 ,
                            '30' => 30 
                            );

                            
//メッセージ
define("DCHK_MESSAGE_UPDATE","データを更新しました。");

//エラーメッセージ
define("DCHK_ERROR_CONVENIENCE_SELECT","利用コンビニが選択されていません。コンビニ決済を利用する場合は利用コンビ二を選択してください。");
define("DCHK_ERROR_CONVENIENCE_LIMIT","コンビニ決済の決済期限を選択してください");
define("DCHK_ERROR_CONVENIENCE_ID","コンビニ決済の加盟店コードを入力してください");
define("DCHK_ERROR_CONVENIENCE_PASS","コンビニ決済の加盟店パスワードを入力してください");
define("DCHK_ERROR_CREDIT_ID","クレジット決済の加盟店コードを入力してください");
define("DCHK_ERROR_CREDIT_PASS","クレジット決済の加盟店パスワードを入力してください");
define("DCHK_ERROR_PAYEASY_ID","Pay-easy決済の加盟店コードを入力してください");
define("DCHK_ERROR_PAYEASY_PASS","Pay-easy決済の加盟店パスワードを入力してください");
define("DCHK_ERROR_PAYEASY_LIMIT","Pay-easy決済の決済期限を選択してください");


define("DCHK_ERROR_CONFIG_UPDATE","モジュールの設定更新に失敗しました。");
define("DCHK_ERROR_CONVENIENCE_CONNECT","コンビニ決済の通信に失敗しました。");
